Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001396TestLinkReportspublic2008-02-15 17:192009-05-11 15:55
Reportertuergeist 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8.2 
Summary0001396: Fatal Error when creating a Report->Test Plan which includes Test Results
DescriptionFatal error: Call to undefined function createTestInput() in ...testlink-beta/lib/functions/print.inc.php on line 230

When including missing exec.inc.php to print.inc.php:

Notice: Undefined variable: build_id in /x-files/cbecker/workspaces/php/testlink-beta/lib/functions/print.inc.php on line 230

Notice: Trying to get property of non-object in /x-files/cbecker/workspaces/php/testlink-beta/lib/functions/database.class.php on line 139

Notice: Trying to get property of non-object in /x-files/cbecker/workspaces/php/testlink-beta/lib/functions/database.class.php on line 145

Fatal error: Call to a member function MoveNext() on a non-object in /x-files/cbecker/workspaces/php/testlink-beta/lib/functions/database.class.php on line 148

This is btw another bug: in database.class.php, fetch_array(&$result)
given input parameter is not checked correctly. It is not sure what kind of "object" is expected
Additional Information
In database.class.php, fetch_array(&$result) at least following test should be added:

function fetch_array( &$p_result ) {

   if ( isset($p_result->EOF) && $p_result->EOF ) {
    return false;
   }
   ....
or throw an Exception if variable is not set...
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003342)
tuergeist
2008-03-06 17:23

This is still an issue

- Issue History
Date Modified Username Field Change
2008-02-15 17:19 tuergeist New Issue
2008-03-06 17:23 tuergeist Note Added: 0003342
2008-03-06 18:48 fman Status new => assigned
2008-03-06 18:48 fman Assigned To => fman
2009-05-02 22:23 fman Status assigned => resolved
2009-05-02 22:23 fman Fixed in Version => 1.8.2
2009-05-02 22:23 fman Resolution open => fixed
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker